Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# CosTime::TimeService Interface Reference

`import "TimeService.idl";`

List of all members.

## Public Methods
UTO | universal_time () raises (TimeUnavailable)
UTO | secure_universal_time () raises (TimeUnavailable)
UTO | new_universal_time (in TimeBase::TimeT time, in TimeBase::InaccuracyT inaccuracy, in TimeBase::TdfT tdf)
UTO | uto_from_utc (in TimeBase::UtcT utc)
TIO | new_interval (in TimeBase::TimeT lower, in TimeBase::TimeT upper)

## Member Function Documentation

TIO CosTime::TimeService::new_interval | ( | in TimeBase::TimeT | lower,
|  | in TimeBase::TimeT | upper
| ) |

UTO CosTime::TimeService::new_universal_time | ( | in TimeBase::TimeT | time,
|  | in TimeBase::InaccuracyT | inaccuracy,
|  | in TimeBase::TdfT | tdf
| ) |

UTO CosTime::TimeService::secure_universal_time | ( |  | ) | raises (TimeUnavailable)

UTO CosTime::TimeService::universal_time | ( |  | ) | raises (TimeUnavailable)

UTO CosTime::TimeService::uto_from_utc | ( | in TimeBase::UtcT | utc | ) |

The documentation for this interface was generated from the following file:

- TimeService.idl